Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166659 - un-comment broken for rhtml / erb / dryml files
un-comment broken for rhtml / erb / dryml files
Status: VERIFIED FIXED
Product: ruby
Classification: Unclassified
Component: RHTML
6.x
PC Windows Vista
: P2 (vote)
: 6.x
Assigned To: Erno Mononen
issues@ruby
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-06 01:52 UTC by mkosma
Modified: 2009-07-15 12:28 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mkosma 2009-06-06 01:52:25 UTC
Start with any line in a valid rhtml, erb, or dryml file, e.g.,

<div class="foo">

Hit Ctrl-Shift-C, which correctly brackets the line as an embedded-ruby comment:

<%#<div class="foo">%>

Hit Ctrl-Shift-C again, and the trailing bracket is not removed:

<div class="export-link">%>


This was working fine in 6.5, broken in 6.7RC
Comment 1 mkosma 2009-06-08 21:56:07 UTC
FYI, issue remains unresolved in NetBeans 6.7 RC2.
Comment 2 Erno Mononen 2009-06-09 15:46:53 UTC
I see, easily reproducible. Thanks for the report, I'll try to fix this soon.
Comment 3 Erno Mononen 2009-06-10 13:45:51 UTC
Should be fixed now in a425d010cd98. Martin, could we nominate this to patch1?
Comment 4 Quality Engineering 2009-06-11 08:53:44 UTC
Integrated into 'main-golden', will be available in build *200906110201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a425d010cd98
User: Erno Mononen <emononen@netbeans.org>
Log: #166659: un-comment broken for rhtml / erb / dryml files
Comment 5 Martin Schovanek 2009-07-02 11:15:10 UTC
v.
Comment 6 pgebauer 2009-07-03 15:28:37 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/d88551e298f3


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo